Skip to main content
PUT
/
index
/
{index_name}
/
video
/
{video_id}
/
metadata
Update Video Metadata
curl --request PUT \
  --url https://api.example.com/index/{index_name}/video/{video_id}/metadata \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
import requests

url = "https://api.example.com/index/{index_name}/video/{video_id}/metadata"

payload = {}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.example.com/index/{index_name}/video/{video_id}/metadata', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

index_name
string
required
video_id
string
required

Body

application/json

The body is of type Metadata · object.

Response

Successful Response